//ROMTEAM WorldEditor
////////////////////////////////////////////////////////////////////////////////////////
// File        : CDlgITBox.hpp: interface for the CDlgITBox class.
// Author      : Ionut Grozea
// Date        : 97.11
// Description :
////////////////////////////////////////////////////////////////////////////////////////

#ifndef __AFX_DLGITBOX_HPP__
#define __AFX_DLGITBOX_HPP__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "3dge_res.h"
#include "stdafx.h"

class ITBox3D;
 

/////////////////////////////////////////////////////////////////////////////
// CDlgITBox dialog

class CDlgITBox : public CDialog
{
// Construction
public:
	CDlgITBox(float m_Nx , float m_Ny , float m_Nz , ITBox3D*pBox , CWnd* pParent = NULL);   // standard constructor
	ITBox3D* m_poBox;
	int  mfn_iGetIntPos(float fVal);
	float mfn_fSliderInt2Float(int sliderVal);
 
// Dialog Data
	//{{AFX_DATA(CDlgITBox)
	enum { IDD = IDD_DIALOGBOX };
	CSliderCtrl	m_SliderZ;
	CSliderCtrl	m_fSliderZ;
	CSliderCtrl	m_SliderY;
	CSliderCtrl	m_SliderX;
	float	m_fScaleY;
	float	m_fScaleX;
	float	m_fScaleZ;
	//}}AFX_DATA

	float m_fScaleYOld;
	float m_fScaleXOld;
	float m_fScaleZOld;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgITBox)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgITBox)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeEdit2();
	afx_msg void OnChangeEdit3();
	afx_msg void OnChangeEdit4();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#endif // __AFX_DLGITBOX_HPP__